import { Wtbl } from '../../../document';
import { Region, RegionOptions } from '../../base/Region';
import { RegionJson } from '../../../types';
export type MaterialConsumeTableWidgetPropsMeta = {
    table_key_: string;
    barcode_parsing_rules_id_?: string;
    personal_bom_enabled_?: boolean;
    entries_?: any[];
    sequence_loading_enabled_?: boolean;
    [key: string]: any;
};
export type MaterialConsumeTableWidgetMeta = {
    props: MaterialConsumeTableWidgetPropsMeta;
};
export type MaterialConsumeTableRegionOptions = RegionOptions & {
    name: string;
    valuePath: string;
    widgetMeta: MaterialConsumeTableWidgetMeta;
};
export type MaterialConsumeTableRegionJson = RegionJson & {
    name: string;
    valuePath: string;
    widgetMeta: MaterialConsumeTableWidgetMeta;
};
export declare class MaterialConsumeTableRegion extends Region {
    type: "material-consume-table";
    name: string;
    valuePath: string;
    widgetMeta: MaterialConsumeTableWidgetMeta;
    constructor(options: MaterialConsumeTableRegionOptions);
    get subFieldKey(): string;
    get linkFieldKey(): string;
    get subValuePath(): string;
    get linkValuePath(): string;
    toJSON(): MaterialConsumeTableRegionJson;
    static fromJSON(json: MaterialConsumeTableRegionJson, table: Wtbl): MaterialConsumeTableRegion;
}
